package nc.vo.baseapp.jsontool;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

import nc.vo.pub.AggregatedValueObject;
import nc.vo.pub.CircularlyAccessibleValueObject;

public class ParamVO {

	private String billdata;
	private Class<? extends AggregatedValueObject> aggVOClass;
	private Class<? extends CircularlyAccessibleValueObject> headVOClass;
	private Class<? extends CircularlyAccessibleValueObject> bodyVOClass;
	private Map<String,Class<? extends CircularlyAccessibleValueObject>> classMap;
	private List<String> removeKys;
	private String hCfgCode;
	private String bfgCode;
	private Map<String,String> classCfgCodeMap;
	public String getBilldata() {
		return billdata;
	}
	public void setBilldata(String billdata) {
		this.billdata = billdata;
	}
	public Class<? extends AggregatedValueObject> getAggVOClass() {
		return aggVOClass;
	}
	public void setAggVOClass(Class<? extends AggregatedValueObject> aggVOClass) {
		this.aggVOClass = aggVOClass;
	}
	public Class<? extends CircularlyAccessibleValueObject> getHeadVOClass() {
		return headVOClass;
	}
	public void setHeadVOClass(Class<? extends CircularlyAccessibleValueObject> headVOClass) {
		this.headVOClass = headVOClass;
	}
	public Class<? extends CircularlyAccessibleValueObject> getBodyVOClass() {
		return bodyVOClass;
	}
	public void setBodyVOClass(Class<? extends CircularlyAccessibleValueObject> bodyVOClass) {
		this.bodyVOClass = bodyVOClass;
	}
	public Map<String, Class<? extends CircularlyAccessibleValueObject>> getClassMap() {
		if(classMap == null){
			classMap = new HashMap<String,Class<? extends CircularlyAccessibleValueObject>>();
		}
		return classMap;
	}
	public void setClassMap(Map<String, Class<? extends CircularlyAccessibleValueObject>> classMap) {
		this.classMap = classMap;
	}
	public List<String> getRemoveKys() {
		if(removeKys == null){
			removeKys = new ArrayList<String>();
		}
		return removeKys;
	}
	public void setRemoveKys(List<String> removeKys) {
		this.removeKys = removeKys;
	}
	public String gethCfgCode() {
		return hCfgCode;
	}
	public void sethCfgCode(String hCfgCode) {
		this.hCfgCode = hCfgCode;
	}
	public String getBfgCode() {
		return bfgCode;
	}
	public void setBfgCode(String bfgCode) {
		this.bfgCode = bfgCode;
	}
	public Map<String, String> getClassCfgCodeMap() {
		if(classCfgCodeMap == null){
			classCfgCodeMap = new HashMap<String,String>();
		}
		return classCfgCodeMap;
	}
	public void setClassCfgCodeMap(Map<String, String> classCfgCodeMap) {
		this.classCfgCodeMap = classCfgCodeMap;
	}
	
	
}
